﻿Public Class frmClientInfo

    Private Sub resetControl()
        SteetName.ResetText()
        TownAndCity.ResetText()
        HouseNum.ResetText()
        Postcode.ResetText()
        Creditcard.ResetText()
    End Sub

    Private Sub frmClientInfo_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        resetControl()

    End Sub


    Private Sub btnFinish_Click(sender As Object, e As EventArgs) Handles btnFinish.Click
        If SteetName.Text.Trim = "" And HouseNum.Text.Trim = "" And TownAndCity.Text.Trim = "" And Postcode.Text.Trim = "" And (Creditcard.Text.Trim = "" Or Creditcard.Text.Trim.Length < 16) Then
            MsgBox("Please fill all fields" & Environment.NewLine & "And credit card digits must be 16", MsgBoxStyle.Exclamation)
        ElseIf SteetName.Text.Trim = "" Then
            MsgBox("Please enter street name", MsgBoxStyle.Exclamation)
        ElseIf HouseNum.Text.Trim = "" Then
            MsgBox("Please enter house number", MsgBoxStyle.Exclamation)
        ElseIf TownAndCity.Text.Trim = "" Then
            MsgBox("Please enter name of town and city", MsgBoxStyle.Exclamation)
        ElseIf Postcode.Text.Trim = "" Then
            MsgBox("Please enter postcode", MsgBoxStyle.Exclamation)
        ElseIf Creditcard.Text.Trim.Length < 16 Then
            MsgBox("Please input all 16 credit card digits", MsgBoxStyle.Exclamation)
        Else
            MsgBox("Thank you for visiting us", MsgBoxStyle.Information)

            Me.Close()

        End If
    End Sub

    Private Sub Creditcard_KeyPress(sender As Object, e As KeyPressEventArgs) Handles Creditcard.KeyPress

        If (e.KeyChar < "0" OrElse e.KeyChar > "9") AndAlso
           e.KeyChar <> ControlChars.Back AndAlso
           e.KeyChar <> Chr(Keys.Delete) Then
            e.Handled = True
            MsgBox("Input not  numeric " & " " & e.KeyChar, MsgBoxStyle.Critical)
        ElseIf e.KeyChar = "." Then
            e.Handled = True
            MsgBox("Input not  numeric " & " " & e.KeyChar, MsgBoxStyle.Critical)
        End If

    End Sub

    Private Sub Postcode_KeyPress(sender As Object, e As KeyPressEventArgs) Handles Postcode.KeyPress
        If (e.KeyChar < "0" OrElse e.KeyChar > "9") AndAlso
          e.KeyChar <> ControlChars.Back AndAlso
          e.KeyChar <> Chr(Keys.Delete) Then
            e.Handled = True
            MsgBox("Input not  numeric " & " " & e.KeyChar, MsgBoxStyle.Critical)
        ElseIf e.KeyChar = "." Then
            e.Handled = True
            MsgBox("Input not  numeric " & " " & e.KeyChar, MsgBoxStyle.Critical)
        End If
    End Sub

    Private Sub frmClientInfo_FormClosing(sender As Object, e As FormClosingEventArgs) Handles MyBase.FormClosing

    End Sub
End Class